> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flight Quote

> Validate a selected flight option and create a bookable quote



## OpenAPI

````yaml api-reference/vaas-services-openapi.json POST /vaas/api/v1/flight/quotes
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/flight/quotes:
    post:
      tags:
        - Flight
        - Flight
      summary: Create Flight Quote
      description: >-
        Validate the selected flight with the provider and persist a bookable
        quote
      operationId: create_quote_vaas_api_v1_flight_quotes_post
      parameters:
        - name: api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
        - name: api-secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Secret
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateQuoteRequestSchema'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateQuoteResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateQuoteRequestSchema:
      properties:
        selection_token:
          type: string
          maxLength: 2048
          minLength: 16
          title: Selection Token
      additionalProperties: false
      type: object
      required:
        - selection_token
      title: CreateQuoteRequestSchema
    CreateQuoteResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          $ref: '#/components/schemas/FlightQuoteSchema'
      type: object
      required:
        - status
        - message
        - data
      title: CreateQuoteResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlightQuoteSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        business_id:
          type: string
          title: Business Id
        status:
          $ref: '#/components/schemas/FlightQuoteStatus'
        currency_code:
          type: string
          title: Currency Code
        pricing:
          $ref: '#/components/schemas/PricingBreakdownSchema'
        airline_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Code
        airline_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Name
        airline_logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Logo Url
        marketing_carrier:
          anyOf:
            - type: string
            - type: 'null'
          title: Marketing Carrier
        journeys:
          items:
            $ref: '#/components/schemas/FlightJourneySchema'
          type: array
          title: Journeys
        fare_rules:
          items:
            type: string
          type: array
          title: Fare Rules
        penalty_rules:
          items:
            type: string
          type: array
          title: Penalty Rules
        is_refundable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Refundable
        expires_at:
          type: string
          format: date-time
          title: Expires At
        created_datetime:
          type: string
          format: date-time
          title: Created Datetime
        updated_datetime:
          type: string
          format: date-time
          title: Updated Datetime
      type: object
      required:
        - id
        - business_id
        - status
        - currency_code
        - pricing
        - expires_at
        - created_datetime
        - updated_datetime
      title: FlightQuoteSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FlightQuoteStatus:
      type: string
      enum:
        - active
        - consumed
        - expired
        - cancelled
      title: FlightQuoteStatus
    PricingBreakdownSchema:
      properties:
        currency_code:
          type: string
          title: Currency Code
        base_price:
          type: number
          minimum: 0
          title: Base Price
        service_charge:
          type: number
          minimum: 0
          title: Service Charge
        total_amount:
          type: number
          minimum: 0
          title: Total Amount
        wallet_reward_on_success:
          type: number
          minimum: 0
          title: Wallet Reward On Success
        price_status:
          $ref: '#/components/schemas/FlightPriceStatus'
      type: object
      required:
        - currency_code
        - base_price
        - service_charge
        - total_amount
        - wallet_reward_on_success
        - price_status
      title: PricingBreakdownSchema
    FlightJourneySchema:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        airline_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Code
        airline_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Name
        departure_airport_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Departure Airport Code
        departure_airport_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Departure Airport Name
        departure_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Departure Datetime
        arrival_airport_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Arrival Airport Code
        arrival_airport_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Arrival Airport Name
        arrival_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Arrival Datetime
        stop_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Stop Count
        stop_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Stop Time
        trip_duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Trip Duration
        airline_logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Logo Url
        segments:
          items:
            $ref: '#/components/schemas/FlightSegmentSchema'
          type: array
          title: Segments
      type: object
      title: FlightJourneySchema
    FlightPriceStatus:
      type: string
      enum:
        - preview
        - final
      title: FlightPriceStatus
    FlightSegmentSchema:
      properties:
        sequence:
          type: integer
          minimum: 1
          title: Sequence
        airline_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Code
        airline_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Airline Name
        flight_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Flight Number
        departure_airport_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Departure Airport Code
        departure_airport_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Departure Airport Name
        arrival_airport_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Arrival Airport Code
        arrival_airport_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Arrival Airport Name
        departure_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Departure Datetime
        arrival_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Arrival Datetime
        duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Duration
        booking_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Booking Class
        cabin_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Cabin Class
        cabin_class_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cabin Class Name
        aircraft:
          anyOf:
            - type: string
            - type: 'null'
          title: Aircraft
        layover:
          anyOf:
            - type: string
            - type: 'null'
          title: Layover
        layover_duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Layover Duration
        baggage_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Baggage Count
        baggage_weight:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Baggage Weight
        baggage_weight_unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Baggage Weight Unit
      type: object
      required:
        - sequence
      title: FlightSegmentSchema
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````